MODBUS_RECEIVE_CONFI(3)

NAME
modbus_receive_confirmation - receive a confirmation request

SYNOPSIS

int modbus_receive_confirmation(modbus_t *ctx, uint8_t *rsp);

DESCRIPTION

The modbus_receive_confirmation() function shall receive a request via the socket of the context ctx. This function must be used for debugging purposes because the received response isn’t checked against the initial request. This function can be used to receive request not handled by the library.

RETURN VALUE

The modbus_receive_confirmation() function shall store the confirmation request in rsp and return the response length if sucessful. Otherwise it shall return -1 and set errno.

SEE ALSO

modbus_send_raw_request(3)

AUTHORS

The libmodbus documentation was written by Stéphane Raimbault <stephane.raimbault@gmail.com[1]>

NOTES

1.  stephane.raimbault@gmail.com
    mailto:stephane.raimbault@gmail.com